## org.mortbay.servlet
Class GzipFilter.GZIPResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.mortbay.servlet.GzipFilter.GZIPResponseWrapper

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

Direct Known Subclasses:
  IncludableGzipFilter.IncludableResponseWrapper

Enclosing class:
  GzipFilter

    public class GzipFilter.GZIPResponseWrapper

extends HttpServletResponseWrapper

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`GzipFilter.GZIPResponseWrapper(HttpServletRequest request, HttpServletResponse response)`

Method Summary
`void` `flushBuffer()`
`ServletOutputStream` `getOutputStream()`
`PrintWriter` `getWriter()`
`protected GzipFilter.GzipStream` `newGzipStream(HttpServletRequest request, HttpServletResponse response, long contentLength, int bufferSize, int minGzipSize)`
`void` `reset()`
`void` `resetBuffer()`
`void` `sendError(int sc)`
`void` `sendError(int sc, String msg)`
`void` `sendRedirect(String location)`
`void` `setContentLength(int length)`
`void` `setContentType(String ct)`
`void` `setHeader(String name, String value)`
`void` `setIntHeader(String name, int value)`
`void` `setStatus(int sc)`
`void` `setStatus(int sc, String sm)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, setDateHeader`

Methods inherited from class javax.servlet.ServletResponseWrapper
`getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, setBufferSize, setCharacterEncoding, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, setBufferSize, setCharacterEncoding, setLocale`

Constructor Detail

### GzipFilter.GZIPResponseWrapper

    public GzipFilter.GZIPResponseWrapper(HttpServletRequest request,
                                          HttpServletResponse response)

Method Detail

### setContentType

    public void setContentType(String ct)

  Specified by:
    `setContentType` in interface `ServletResponse`
  Overrides:
    `setContentType` in class `ServletResponseWrapper`

### setStatus

    public void setStatus(int sc,
                          String sm)

  Specified by:
    `setStatus` in interface `HttpServletResponse`
  Overrides:
    `setStatus` in class `HttpServletResponseWrapper`

### setStatus

    public void setStatus(int sc)

  Specified by:
    `setStatus` in interface `HttpServletResponse`
  Overrides:
    `setStatus` in class `HttpServletResponseWrapper`

### setContentLength

    public void setContentLength(int length)

  Specified by:
    `setContentLength` in interface `ServletResponse`
  Overrides:
    `setContentLength` in class `ServletResponseWrapper`

### setHeader

    public void setHeader(String name,
                          String value)

  Specified by:
    `setHeader` in interface `HttpServletResponse`
  Overrides:
    `setHeader` in class `HttpServletResponseWrapper`

### setIntHeader

    public void setIntHeader(String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `HttpServletResponse`
  Overrides:
    `setIntHeader` in class `HttpServletResponseWrapper`

### flushBuffer

    public void flushBuffer()
                     throws IOException

  Specified by:
    `flushBuffer` in interface `ServletResponse`
  Overrides:
    `flushBuffer` in class `ServletResponseWrapper`
  Throws:
    `IOException`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ServletResponse`
  Overrides:
    `reset` in class `ServletResponseWrapper`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `ServletResponse`
  Overrides:
    `resetBuffer` in class `ServletResponseWrapper`

### sendError

    public void sendError(int sc,
                          String msg)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### sendError

    public void sendError(int sc)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### sendRedirect

    public void sendRedirect(String location)
                      throws IOException

  Specified by:
    `sendRedirect` in interface `HttpServletResponse`
  Overrides:
    `sendRedirect` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### getOutputStream

    public ServletOutputStream getOutputStream()
                                        throws IOException

  Specified by:
    `getOutputStream` in interface `ServletResponse`
  Overrides:
    `getOutputStream` in class `ServletResponseWrapper`
  Throws:
    `IOException`

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  Specified by:
    `getWriter` in interface `ServletResponse`
  Overrides:
    `getWriter` in class `ServletResponseWrapper`
  Throws:
    `IOException`

### newGzipStream

    protected GzipFilter.GzipStream newGzipStream(HttpServletRequest request,
                                                  HttpServletResponse response,
                                                  long contentLength,
                                                  int bufferSize,
                                                  int minGzipSize)
                                           throws IOException

  Throws:
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.